Benutzerhandbuch
Version 1.9 — Rev. 3

# Server - Tuning

### Standard-SHM-Verzeichnis

#### Beschreibung

Ändert das Standardverzeichnis für gemeinsam genutzten Speicher auf den angegebenen Pfad. Wenn das Verzeichnis nicht existiert, wird es erstellt. Alle SHM-Daten werden in diesem Verzeichnis gespeichert, sofern nichts anderes angegeben ist.

#### Syntax

Pfad

### PROXY-Protokoll

#### Beschreibung

Liste von IPs/Subnetzen für Frontend-Proxys, die mit diesem Server über das PROXY-Protokoll kommunizieren. Sobald gesetzt, verwendet der Server das PROXY-Protokoll für eingehende Verbindungen von gelisteten IPs/Subnetzen oder fällt auf eine normale Verbindung zurück, wenn das PROXY-Protokoll nicht verfügbar ist.
Gilt für HTTP-, HTTPS-, HTTP2- und websocket-Verbindungen.

#### Syntax

Kommagetrennte Liste von IP-Adressen oder Subnetzen.

### Max. Verbindungen

#### Beschreibung

Gibt die maximale Anzahl gleichzeitiger Verbindungen an, die der Server akzeptieren kann. Dazu gehören sowohl einfache TCP-Verbindungen als auch SSL-Verbindungen. Sobald das maximale Limit gleichzeitiger Verbindungen erreicht ist, schließt der Server Keep-Alive-Verbindungen, wenn sie aktive Anfragen abgeschlossen haben.

#### Syntax

Ganzzahl

#### Tipps

Information Wenn der Server vom Benutzer "root" gestartet wird, versucht er, die Dateideskriptor-Limits pro Prozess automatisch anzupassen. Wenn dies fehlschlägt, müssen Sie dieses Limit möglicherweise manuell erhöhen.

### Max. SSL-Verbindungen

#### Beschreibung

Gibt die maximale Anzahl gleichzeitiger SSL-Verbindungen an, die der Server akzeptiert. Da die Gesamtzahl gleichzeitiger SSL- und Nicht-SSL-Verbindungen das durch Max. Verbindungen angegebene Limit nicht überschreiten kann, muss die tatsächlich zulässige Anzahl gleichzeitiger SSL-Verbindungen unter diesem Limit liegen.

#### Syntax

Ganzzahl

### Verbindungs-Timeout (Sek.)

#### Beschreibung

Gibt die maximal zulässige Leerlaufzeit einer Verbindung während der Verarbeitung einer Anfrage an. Die Verbindung wird geschlossen, wenn sie für diesen Zeitraum inaktiv war, d. h. keine I/O-Aktivität hatte.

#### Syntax

Ganzzahl

#### Tipps

Security Setzen Sie dies so niedrig wie möglich, um tote Verbindungen während eines möglichen DoS-Angriffs schneller zurückzugewinnen.

#### Siehe auch

Keep-Alive-Timeout (Sek.)

### Max. Keep-Alive-Anfragen

#### Beschreibung

Gibt die maximale Anzahl von Anfragen an, die über eine keep-alive- (persistente) Sitzung bedient werden können. Die Verbindung wird geschlossen, sobald dieses Limit erreicht ist. Sie können dieses Limit auch für jeden virtuellen Host festlegen.

#### Syntax

Ganzzahl

#### Tipps

Performance Setzen Sie dies auf einen angemessen hohen Wert. Ein Wert von "1" oder "0" deaktiviert keep-alive.

#### Siehe auch

Virtual Host Maximale Keep-Alive-Anfragen

### Keep-Alive-Timeout (Sek.)

#### Beschreibung

Gibt die maximale Leerlaufzeit zwischen Anfragen von einer keep-alive-Verbindung an. Wenn während dieses Zeitraums keine neue Anfrage empfangen wird, wird die Verbindung geschlossen. Diese Einstellung gilt nur für HTTP/1.1-Verbindungen. HTTP/2-Verbindungen haben konstruktionsbedingt lange Keep-Alive-Timeouts und sind von dieser Einstellung nicht betroffen.

#### Syntax

Ganzzahl

#### Tipps

Security Performance Wir empfehlen, diesen Wert nur lange genug zu setzen, um auf weitere Anfragen eines Clients zu warten, wenn von einer einzelnen Seite weitere zu ladende Assets referenziert werden. Setzen Sie ihn nicht zu lange in der Hoffnung, dass die nächste Seite über die keep-alive-Verbindung bedient wird. Viele inaktive keep-alive-Verbindungen verschwenden Serverressourcen und können von (D)DoS-Angriffen ausgenutzt werden. 2-5 Sekunden ist für die meisten Anwendungen ein angemessener Bereich. LiteSpeed ist in einer Nicht-keep-alive-Umgebung sehr effizient.

### Sendepuffergröße (Byte)

#### Beschreibung

Die Sendepuffergröße jedes TCP-Sockets. 512K ist die maximal zulässige Puffergröße.

#### Syntax

Ganzzahl

#### Tipps

Performance Es wird empfohlen, diesen Wert als "Not Set" zu belassen oder auf 0 zu setzen, um die Standardpuffergröße des Betriebssystems zu verwenden.
Performance Wenn Ihre Website große statische Dateien ausliefert, erhöhen Sie die Sendepuffergröße, um die Leistung zu verbessern.
Performance Ein niedrigerer Wert verringert Durchsatz und Speichernutzung pro Socket, sodass der Server mehr gleichzeitige Sockets haben kann, wenn Speicher der Engpass ist.

### Empfangspuffergröße (Byte)

#### Beschreibung

Die Empfangspuffergröße jedes TCP-Sockets. 512K ist die maximal zulässige Puffergröße.

#### Syntax

Ganzzahl

#### Tipps

Performance Es wird empfohlen, diesen Wert als "Not Set" zu belassen oder auf 0 zu setzen, um die Standardpuffergröße des Betriebssystems zu verwenden.
Performance Ein großer Empfangspuffer erhöht die Leistung beim Verarbeiten eingehender Anfragen mit großen Nutzdaten, z. B. Datei-Uploads.
Performance Ein niedrigerer Wert verringert Durchsatz und Speichernutzung pro Socket, sodass der Server mehr gleichzeitige Sockets haben kann, wenn Speicher der Engpass ist.

### Max. Anfrage-URL-Länge (Byte)

#### Beschreibung

Gibt die maximale Größe einer Anfrage-URL an. URL ist die vollständige Textadresse, die zum Zugriff auf eine Serverressource verwendet wird, einschließlich Query-String. Das harte Limit ist 65530 Byte. Größere Werte, wie 64K (6 Byte größer), werden so behandelt, als wäre 65530 verwendet worden.
Standardwert: 8192 oder 8K.

#### Syntax

Ganzzahl

#### Tipps

Security Performance Setzen Sie dies angemessen niedrig, um Speichernutzung zu reduzieren und falsche Anfragen sowie DoS-Angriffe zu erkennen.
2-3K reichen für die meisten Websites aus, sofern nicht die HTTP-GET-Methode mit großen Query-Strings anstelle von POST verwendet wird.

### Max. Anfrage-Headergröße (Byte)

#### Beschreibung

Gibt die maximale Größe eines HTTP-Anfrage-Headers einschließlich Anfrage-URL an. Das harte Limit ist 131072 Byte oder 128K.
Standardwert: 32768 oder 32K

#### Syntax

Ganzzahl

#### Tipps

Security Performance Setzen Sie dies angemessen niedrig, um Speichernutzung zu reduzieren und falsche Anfragen sowie DoS-Angriffe zu erkennen.
4-8K reichen für die meisten Websites unter normalen Umständen aus.

### Max. Anfrage-Bodygröße (Byte)

#### Beschreibung

Gibt die maximale Größe eines HTTP-Anfrage-Bodys an. Bei einem 32-Bit-Betriebssystem ist 2GB das harte Limit. Bei einem 64-Bit-Betriebssystem ist es praktisch unbegrenzt.

#### Syntax

Ganzzahl

#### Tipps

Security Um DoS-Angriffe zu verhindern, sollten Sie dieses Limit auf das tatsächlich benötigte Maß beschränken. Ihr Swap-Bereich muss genügend freien Speicher haben, um dieses Limit aufzunehmen.

### Max. dynamische Antwort-Headergröße (Byte)

#### Beschreibung

Gibt die maximale Headergröße einer dynamisch erzeugten Antwort an. Das harte Limit ist 131072 Byte oder 128K.
Standardwert: 32768 oder 32K

#### Syntax

Ganzzahl

#### Tipps

Performance Setzen Sie dies angemessen niedrig, um fehlerhafte Antworten zu erkennen, die dynamisch von externen Anwendungen erzeugt werden.

### Max. dynamische Antwort-Bodygröße (Byte)

#### Beschreibung

Gibt die maximale Bodygröße einer dynamisch erzeugten Antwort an.

#### Syntax

Ganzzahl

#### Tipps

Performance Setzen Sie das Limit angemessen niedrig, um fehlerhafte Antworten zu erkennen. Es ist nicht ungewöhnlich, dass fehlerhafte Skripte eine Endlosschleife enthalten, die zu Antworten unbegrenzter Größe führt.

### Max. Größe kleiner Dateien im Cache (Byte)

#### Beschreibung

Gibt die größte statische Datei an, die in einem vorab zugewiesenen Speicherpuffer gecacht wird. Statische Dateien können auf vier verschiedene Arten bereitgestellt werden: Speicherpuffer-Cache, speicherabgebildeter Cache, normales Lesen/Schreiben und sendfile(). Dateien, deren Größe kleiner als diese Einstellung ist, werden aus dem Speicherpuffer-Cache bereitgestellt. Dateien, deren Größe größer als diese Einstellung, aber kleiner als Max. MMAP-Dateigröße (Byte) ist, werden aus dem speicherabgebildeten Cache bereitgestellt. Dateien, deren Größe größer als Max. MMAP-Dateigröße (Byte) ist, werden per normalem Lesen/Schreiben oder sendfile() bereitgestellt. Es ist optimal, statische Dateien kleiner als 4K aus dem Speicherpuffer-Cache bereitzustellen.

#### Syntax

Ganzzahl

### Gesamtgröße des kleinen Datei-Caches (Byte)

#### Beschreibung

Gibt den gesamten Speicher an, der dem Puffer-Cache zugewiesen werden kann, um kleine statische Dateien zu cachen/auszuliefern.

#### Syntax

Ganzzahl

### Max. MMAP-Dateigröße (Byte)

#### Beschreibung

Gibt die größte statische Datei an, die in den Speicher abgebildet wird (MMAP). Statische Dateien können auf vier verschiedene Arten bereitgestellt werden: Speicherpuffer-Cache, speicherabgebildeter Cache, normales Lesen/Schreiben und sendfile(). Dateien, deren Größe kleiner als Max. Größe kleiner Dateien im Cache (Byte) ist, werden aus dem Speicherpuffer-Cache bereitgestellt. Dateien, deren Größe größer als Max. Größe kleiner Dateien im Cache (Byte), aber kleiner als die max. MMAP-Dateigröße ist, werden aus dem speicherabgebildeten Cache bereitgestellt. Dateien, deren Größe größer als die max. MMAP-Dateigröße ist, werden per normalem Lesen/Schreiben oder sendfile() bereitgestellt. Da der Server einen 32-Bit-Adressraum (2GB) hat, wird nicht empfohlen, sehr große Dateien in den Speicher abzubilden.

#### Syntax

Ganzzahl

### Gesamtgröße des MMAP-Caches (Byte)

#### Beschreibung

Gibt den gesamten Speicher an, der für den speicherabgebildeten Cache zugewiesen werden kann, um mittelgroße statische Dateien zu cachen/auszuliefern.

#### Syntax

Ganzzahl

### sendfile() verwenden

#### Beschreibung

Gibt an, ob der Systemaufruf sendfile() zum Bereitstellen statischer Dateien verwendet wird. Statische Dateien können auf vier verschiedene Arten bereitgestellt werden: Speicherpuffer-Cache, speicherabgebildeter Cache, normales Lesen/Schreiben und sendfile(). Dateien kleiner als Max. Größe kleiner Dateien im Cache (Byte) werden aus dem Speicherpuffer-Cache bereitgestellt. Dateien größer als Max. Größe kleiner Dateien im Cache (Byte), aber kleiner als Max. MMAP-Dateigröße (Byte), werden aus dem speicherabgebildeten Cache bereitgestellt. Dateien größer als Max. MMAP-Dateigröße (Byte) werden per normalem Lesen/Schreiben oder sendfile() bereitgestellt. Sendfile() ist ein "Zero Copy"-Systemaufruf, der die CPU-Auslastung beim Bereitstellen sehr großer statischer Dateien stark reduzieren kann. Sendfile() benötigt einen optimierten Kernel-Treiber für die Netzwerkkarte und ist daher möglicherweise für einige Netzwerkadapter kleiner Anbieter nicht geeignet.

#### Syntax

Aus Optionsfeldern auswählen

### Asynchrone E/A (AIO) verwenden

#### Beschreibung

Gibt an, ob asynchrone I/O zum Bereitstellen statischer Dateien verwendet wird, sowie welche AIO-Implementierung verwendet werden soll. Die Optionen LINUX AIO und io_uring sind nur auf Linux-Maschinen verfügbar.
Standardwert: No

#### Syntax

Aus Dropdown-Liste auswählen

#### Tipps

Performance AIO kann die Leistung auf Servern mit hoher I/O-Wartezeit verbessern.
Attention Wenn io_uring ausgewählt ist, aber auf der aktuellen Maschine nicht unterstützt wird, wird stattdessen Linux AIO verwendet.

#### Siehe auch

AIO-Blockgröße

### AIO-Blockgröße

#### Beschreibung

Gibt die gesendete Blockgröße für AIO an. Diese Blockgröße multipliziert mit der Gesamtzahl der verarbeiteten Dateien sollte kleiner sein als der physische Speicher des Servers; andernfalls hilft AIO nicht. Wenn Ihr Server genügend Speicher hat, können Sie eine größere Größe wählen.
Standardwert: 128K

#### Syntax

Aus Dropdown-Liste auswählen

#### Siehe auch

Asynchrone E/A (AIO) verwenden

### Datei-ETag

#### Beschreibung

Gibt an, ob inode, Zeitpunkt der letzten Änderung und Größenattribute einer Datei verwendet werden, um den ETag-HTTP-Antwort-Header für statische Dateien zu erzeugen. Alle drei Attribute sind standardmäßig aktiviert. Wenn Sie dieselbe Datei von gespiegelten Servern ausliefern möchten, sollten Sie inode nicht einschließen; andernfalls unterscheidet sich der für eine Datei erzeugte ETag auf verschiedenen Servern.

#### Syntax

Per Kontrollkästchen auswählen

### Komprimierung aktivieren

#### Beschreibung

Aktiviert GZIP/Brotli-Komprimierung für statische und dynamische Antworten.
Standardwert: Yes

#### Syntax

Aus Optionsfeldern auswählen

#### Tipps

Performance Aktivieren Sie dies, um Netzwerkbandbreite zu sparen. Textbasierte Antworten wie html-, css- und javascript-Dateien profitieren am meisten und können im Durchschnitt auf die Hälfte ihrer ursprünglichen Größe komprimiert werden.

### Komprimierbare Typen

#### Beschreibung

Gibt an, welche MIME-Typen komprimiert werden dürfen. Lassen Sie diese Einstellung leer oder geben Sie default ein, um die integrierte Standardliste des Servers zu verwenden, die bereits die meisten MIME-Typen abdecken sollte.
Standardwert: text/*,application/x-javascript,application/javascript,application/xml,image/svg+xml,application/rss+xml, application/json,application/vnd.ms-fontobject,application/x-font,application/x-font-opentype, application/x-font-truetype,application/x-font-ttf,font/eot,font/opentype,font/otf,font/ttf,image/x-icon, image/vnd.microsoft.icon,application/xhtml+xml

#### Syntax

Kommagetrennte Liste von MIME-Typen. Platzhalter "*" und Negationszeichen "!" sind erlaubt, zum Beispiel text/*, !text/js.

#### Beispiel

Wenn Sie text/* komprimieren möchten, aber nicht text/css, können Sie eine Regel wie text/*, !text/css verwenden. "!" schließt diesen MIME-Typ aus.

#### Tipps

Performance Erlauben Sie nur Typen, die von GZIP/Brotli-Komprimierung profitieren. Binärdateien wie gif/png/jpeg-Bilder und Flash-Dateien profitieren nicht von Komprimierung.

### Dynamische GZIP-Komprimierung aktivieren

#### Beschreibung

Steuert die GZIP-Komprimierung für dynamisch erzeugte Antworten.
Damit diese Einstellung wirkt, muss Komprimierung aktivieren auf Yes gesetzt sein.
Standardwert: Yes

#### Syntax

Aus Optionsfeldern auswählen

#### Tipps

Performance Das Komprimieren dynamischer Antworten erhöht CPU- und Speichernutzung, spart aber Netzwerkbandbreite.

### GZIP-Komprimierungsstufe (dynamischer Inhalt)

#### Beschreibung

Gibt die auf dynamischen Inhalt angewendete GZIP-Komprimierungsstufe an. Reicht von 1 (niedrigste) bis 9 (höchste).
Diese Einstellung wirkt nur, wenn Komprimierung aktivieren und Dynamische GZIP-Komprimierung aktivieren aktiviert sind.
Standardwert: 6

#### Syntax

Zahl zwischen 1 und 9.

#### Tipps

Performance Eine höhere Komprimierungsstufe verwendet mehr Speicher und CPU-Zyklen. Sie können eine höhere Stufe wählen, wenn Ihre Maschine zusätzliche Leistung hat. Zwischen 6 und 9 gibt es keinen großen Unterschied, außer dass 9 deutlich mehr CPU-Zyklen verwendet.

### Statische Datei automatisch aktualisieren

#### Beschreibung

Gibt an, ob der Server automatisch GZIP-komprimierte Versionen komprimierbarer statischer Dateien erstellen/aktualisieren soll. Wenn auf Yes gesetzt, kann der Server beim Anfordern einer Datei mit einem in Komprimierbare Typen gelisteten MIME-Typ die entsprechende komprimierte Version der Datei abhängig vom Zeitstempel der komprimierten Datei erstellen oder aktualisieren. Diese komprimierte Datei wird unter Statisches Cache-Verzeichnis erstellt. Der Dateiname basiert auf einem MD5-Hash des Pfads der Originaldatei.
Standardwert: Yes

#### Syntax

Aus Optionsfeldern auswählen

### GZIP-Komprimierungsstufe (statische Datei)

#### Beschreibung

Gibt die auf statische Dateien angewendete GZIP-Komprimierungsstufe an. Reicht von 1 (niedrigste) bis 9 (höchste).
Diese Einstellung wirkt nur, wenn Komprimierung aktivieren und Statische Datei automatisch aktualisieren aktiviert sind.
Standardwert: 6

#### Syntax

Zahl zwischen 1 und 9.

### Brotli-Komprimierungsstufe (statische Datei)

#### Beschreibung

Gibt die auf statische Dateien angewendete Brotli-Komprimierungsstufe an. Reicht von 0 (deaktiviert) bis 11 (höchste).
Wenn auf 0 gesetzt, wird brotli-Komprimierung global deaktiviert.
Standardwert: 5

#### Syntax

Zahl zwischen 0 und 11.

#### Tipps

Performance Spart Netzwerkbandbreite. Textbasierte Antworten wie html-, css- und javascript-Dateien profitieren am meisten und können im Durchschnitt auf die Hälfte ihrer ursprünglichen Größe komprimiert werden.

### Statisches Cache-Verzeichnis

#### Beschreibung

Gibt den Pfad des Verzeichnisses an, in dem komprimierte Dateien für statische Inhalte gespeichert werden.
Standardwert: Swapping-Verzeichnis.

#### Syntax

Verzeichnispfad

### Max. statische Dateigröße (Byte)

#### Beschreibung

Gibt die maximale Größe einer statischen Datei an, für die der Server automatisch eine komprimierte Datei erstellt.
Standardwert: 10M

#### Syntax

Zahl in Byte nicht kleiner als 1K.

#### Tipps

Performance Es wird nicht empfohlen, dass der Server komprimierte Dateien für große Dateien erstellt/aktualisiert. Komprimierung blockiert einen gesamten Serverprozess, und bis zum Abschluss der Komprimierung können keine weiteren Anfragen verarbeitet werden.

### Min. statische Dateigröße (Byte)

#### Beschreibung

Gibt die minimale Größe einer statischen Datei an, für die der Server eine entsprechende komprimierte Datei erstellt.
Standardwert: 200

#### Syntax

Zahl in Byte nicht kleiner als 200.

#### Tipps

Information Sehr kleine Dateien müssen nicht komprimiert werden, da die Bandbreitenersparnis vernachlässigbar ist.

### Standard-Cipher-Suite

#### Beschreibung

Standard-Cipher-Suite für SSL-Zertifikate.
Standardwert: serverinterner Standard (basierend auf aktuellen Best Practices)

#### Syntax

Durch Doppelpunkte getrennte Zeichenkette von Cipher-Spezifikationen.

### Starker SSL-DH-Schlüssel

#### Beschreibung

Gibt an, ob 2048- oder 1024-Bit-DH-Schlüssel für SSL-Handshakes verwendet werden. Wenn auf "Yes" gesetzt, werden 2048-Bit-DH-Schlüssel für 2048-Bit-SSL-Schlüssel und -Zertifikate verwendet. In anderen Situationen werden weiterhin 1024-Bit-DH-Schlüssel verwendet. Standard ist "Yes".
Frühere Java-Versionen unterstützen keine DH-Schlüsselgrößen über 1024 Bit. Wenn Kompatibilität mit Java-Clients erforderlich ist, sollte dies auf "No" gesetzt werden.

#### Syntax

radio

### Mehrere SSL-Zertifikate aktivieren

#### Beschreibung

Erlaubt Listenern/vhosts, mehrere SSL-Zertifikate festzulegen. Wenn mehrere Zertifikate aktiviert sind, wird erwartet, dass Zertifikate/Schlüssel einem Benennungsschema folgen. Wenn das Zertifikat server.crt heißt, sind weitere mögliche Zertifikatsnamen server.crt.rsa, server.crt.dsa, server.crt.ecc. Wenn "Not Set", ist der Standard "No".

#### Syntax

Aus Optionsfeldern auswählen

### Sitzungscache aktivieren

#### Beschreibung

Aktiviert das Caching von Sitzungs-IDs mit der OpenSSL-Standardeinstellung. Die Einstellung auf Serverebene muss auf "Yes" gesetzt sein, damit die Virtual-Host-Einstellung wirkt.
Standardwerte:
Serverebene: Yes
VH-Ebene: Yes

#### Syntax

Aus Optionsfeldern auswählen

### Sitzungscachegröße (Byte)

#### Beschreibung

Legt die maximale Anzahl von SSL-Sitzungs-IDs fest, die im Cache gespeichert werden. Standard ist 1,000,000.

#### Syntax

Ganzzahl

### Sitzungscache-Timeout (Sek.)

#### Beschreibung

Dieser Wert bestimmt, wie lange eine Sitzungs-ID im Cache gültig bleibt, bevor eine Neuverhandlung erforderlich ist. Standard ist 3,600.

#### Syntax

Ganzzahl

### Sitzungstickets aktivieren

#### Beschreibung

Aktiviert Sitzungstickets mit der OpenSSL-Standardeinstellung für Sitzungstickets. Die Einstellung auf Serverebene muss auf "Yes" gesetzt sein, damit die Virtual-Host-Einstellung wirkt.
Standardwerte:
Serverebene: Yes
VH-Ebene: Yes

#### Syntax

Aus Optionsfeldern auswählen

### Lebensdauer des SSL-Sitzungstickets (Sek.)

#### Beschreibung

Dieser Wert bestimmt, wie lange ein Sitzungsticket gültig bleibt, bevor eine Neuverhandlung erforderlich ist. Standard ist 3,600.

#### Syntax

Ganzzahl

### SSL-Sitzungsticket-Schlüsseldatei

#### Beschreibung

Erlaubt einem Administrator, den SSL-Ticket-Schlüssel zu erstellen/zu pflegen. Die Datei muss 48 Byte lang sein. Wenn diese Option leer bleibt, erzeugt und rotiert der Load Balancer seinen eigenen Schlüsselsatz.
WICHTIG: Zur Wahrung von Forward Secrecy wird dringend empfohlen, den Schlüssel alle SSL Session Ticket Lifetime Sekunden zu ändern. Wenn dies nicht möglich ist, wird empfohlen, dieses Feld leer zu lassen.

#### Syntax

Pfad

### OCSP-Proxy

#### Beschreibung

Socket-Adresse, die als Proxyserver-Adresse für die OCSP-Verifizierung verwendet wird. Lassen Sie diese Einstellung leer, wenn kein Proxy verwendet wird.
Standardwert: not set

#### Syntax

Socket-Adresse

### Striktes SNI-Zertifikat

#### Beschreibung

Gibt an, ob eine dedizierte Zertifikatskonfiguration für virtuelle Hosts strikt erforderlich ist. Wenn aktiviert, schlagen SSL-Verbindungen zu virtuellen Hosts ohne dedizierte Zertifikatskonfiguration fehl, anstatt ein standardmäßiges Catch-all-Zertifikat zu verwenden.
Standardwert: No

#### Syntax

Aus Optionsfeldern auswählen

### AutoCert mit ACME

#### Beschreibung

Erzeugt und erneuert SSL-Zertifikate automatisch mit dem Automatic Certificate Management Environment (ACME)-Zertifiziererprotokoll (nach der Konfiguration). Mehr hier:
Automatic SSL Certificates (ACME)
Wenn dies auf Serverebene auf Disabled gesetzt wird, wird diese Einstellung serverweit deaktiviert. In allen anderen Fällen kann die Einstellung auf Serverebene auf Virtual-Host-Ebene überschrieben werden.
Standardwerte:
Serverebene: Off
VH-Ebene: Einstellung der Serverebene übernehmen

#### Syntax

Aus Dropdown-Liste auswählen

### HTTP3/QUIC aktivieren

#### Beschreibung

Aktiviert das Netzwerkprotokoll HTTP3/QUIC serverweit. Standardwert ist Yes.

#### Syntax

Aus Optionsfeldern auswählen

#### Tipps

Information Wenn diese Einstellung auf Yes gesetzt ist, kann HTTP3/QUIC weiterhin auf Listener-Ebene über die Einstellung HTTP3/QUIC (UDP)-Port oeffnen oder auf Virtual-Host-Ebene über die Einstellung HTTP3/QUIC aktivieren deaktiviert werden.

### QUIC-SHM-Verzeichnis

#### Beschreibung

Gibt das Verzeichnis an, in dem QUIC-Daten im gemeinsam genutzten Speicher gespeichert werden.
Standardmäßig wird das Standard-SHM-Verzeichnis des Servers, /dev/shm, verwendet.

#### Syntax

Pfad

#### Tipps

Information Eine RAM-basierte Partition wie /dev/shm wird empfohlen.

### HTTP3/QUIC-Versionen

#### Beschreibung

Eine Liste aktivierter HTTP3/QUIC-Versionen. Diese Einstellung sollte nur verwendet werden, um HTTP3/QUIC-Unterstützung auf die gelisteten Versionen zu beschränken, und sollte am besten leer bleiben.

#### Syntax

Kommagetrennte Liste

#### Beispiel

h3-29, h3-Q050

#### Tipps

Information Es wird empfohlen, diese Einstellung leer zu lassen, damit die beste Konfiguration automatisch angewendet wird.

### Überlastungskontrolle

#### Beschreibung

Der verwendete Algorithmus zur Überlastungskontrolle. Dies kann manuell gesetzt oder durch Auswahl der Option "Default" der verwendeten QUIC-Bibliothek überlassen werden.
Standardwert: Default

#### Syntax

Aus Dropdown-Liste auswählen

### Fenster für Verbindungsflusskontrolle

#### Beschreibung

Die Anfangsgröße des für eine QUIC-Verbindung zugewiesenen Puffers. Standardwert ist 1.5M.

#### Syntax

Zahl zwischen 64K und 512M

#### Tipps

Information Eine größere Fenstergröße verwendet mehr Speicher.

### Max. Fenster für Verbindungsflusskontrolle

#### Beschreibung

Gibt die maximale Größe an, die ein Puffer des Fensters für Verbindungsflusskontrolle durch Fenster-Auto-Tuning erreichen darf.
Standardwert ist 0; das bedeutet, dass der Wert von Fenster für Verbindungsflusskontrolle verwendet und kein Auto-Tuning durchgeführt wird.

#### Syntax

0 oder eine Zahl zwischen 64K und 512M

#### Tipps

Information Eine größere Fenstergröße verwendet mehr Speicher.

### Fenster für Stream-Flusskontrolle

#### Beschreibung

Die anfängliche Datenmenge, die eine QUIC-Verbindung pro Stream zu empfangen bereit ist. Standardwert ist 1M.

#### Syntax

Zahl zwischen 64K und 128M

#### Tipps

Information Eine größere Fenstergröße verwendet mehr Speicher.

### Max. Fenster für Stream-Flusskontrolle

#### Beschreibung

Gibt die maximale Größe an, die ein Fenster für Stream-Flusskontrolle durch Fenster-Auto-Tuning erreichen darf.
Standardwert ist 0; das bedeutet, dass der Wert von Fenster für Stream-Flusskontrolle verwendet und kein Auto-Tuning durchgeführt wird.

#### Syntax

0 oder eine Zahl zwischen 64K und 128M

#### Tipps

Information Eine größere Fenstergröße verwendet mehr Speicher.

### Max. gleichzeitige Streams pro Verbindung

#### Beschreibung

Die maximale Anzahl gleichzeitiger Streams, die pro QUIC-Verbindung erlaubt sind. Standardwert ist 100.

#### Syntax

Ganzzahl zwischen 10 und 1000

### Handshake-Timeout (Sek.)

#### Beschreibung

Die Zeit in Sekunden, die einer neuen QUIC-Verbindung zum Abschließen ihres Handshakes gegeben wird; danach wird die Verbindung abgebrochen. Standardwert ist 10.

#### Syntax

Ganzzahl zwischen 1 und 15

### Leerlauf-Timeout (Sek.)

#### Beschreibung

Die Zeit in Sekunden, nach der eine inaktive QUIC-Verbindung geschlossen wird. Standardwert ist 30.

#### Syntax

Ganzzahl zwischen 10 und 30

### DPLPMTUD aktivieren

#### Beschreibung

Aktiviert Datagram Packetization Layer Path Maximum Transmission Unit Discovery (DPLPMTUD).
Background on DPLPMTUD (RFC 8899)
Standardwert: Yes

#### Syntax

Aus Optionsfeldern auswählen

### PLPMTU-Basiswert

#### Beschreibung

Der maximale PLPMTU-Wert (maximale Paketgröße ohne Header) in Byte, den QUIC standardmäßig verwendet. Wenn dies auf 0 gesetzt wird, kann QUIC die Größe wählen.
Diese Einstellung sollte niedriger als Max. PLPMTU-Wert gesetzt werden.
Standardwert: 0

#### Syntax

0 oder Ganzzahl zwischen 1200 und 65527

### Max. PLPMTU-Wert

#### Beschreibung

Die obere Grenze für PLPMTU-Sondierung (maximale Paketgröße ohne Header) in Byte. Diese Einstellung wird verwendet, um die "maximale Paketgröße" im DPLPMTUD-Suchraum zu begrenzen. Wenn dies auf 0 gesetzt wird, kann QUIC die Größe wählen (standardmäßig nimmt LSQUIC an, dass MTU 1,500 Byte beträgt (Ethernet)).
Diese Einstellung sollte höher als PLPMTU-Basiswert gesetzt werden.
Standardwert: 0

#### Syntax

0 oder Ganzzahl zwischen 1200 und 65527